package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-质量与验收表
 * </p>
 *
 * @author liutao
 * @since 2022-07-13
 */
@TableName("purch_contract_quality_accept_history")
public class PurchContractQualityAcceptHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收标准
     */
    @TableField("accept_criteria")
    private String acceptCriteria;

    /**
     * 质量标准
     */
    @TableField("quality_criteria")
    private String qualityCriteria;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 采购合同基本信息历史表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHistoryId;

    public String getAcceptCriteria() {
        return acceptCriteria;
    }

    public void setAcceptCriteria(String acceptCriteria) {
        this.acceptCriteria = acceptCriteria;
    }
    public String getQualityCriteria() {
        return qualityCriteria;
    }

    public void setQualityCriteria(String qualityCriteria) {
        this.qualityCriteria = qualityCriteria;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public Long getPurchContractBasicInfoHistoryId() {
        return purchContractBasicInfoHistoryId;
    }

    public void setPurchContractBasicInfoHistoryId(Long purchContractBasicInfoHistoryId) {
        this.purchContractBasicInfoHistoryId = purchContractBasicInfoHistoryId;
    }

    @Override
    public String toString() {
        return "PurchContractQualityAcceptHistory{" +
            "acceptCriteria=" + acceptCriteria +
            ", qualityCriteria=" + qualityCriteria +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", purchContractBasicInfoHistoryId=" + purchContractBasicInfoHistoryId +
        "}";
    }
}
